Description

For GetDataValues and SetDataValues services, if the SUT could only send read/write request for DAs/DOs with specific pathway
instead of each DAs/DOs in the model tree, can we say the SUT supports GetDataValues and SetDataValues services?

Because for some SUT, it doesn't support getting the entire on-line model via MMS, it needs to pre-load the CID file, and save part of
the model which it cares into local database. In this situation, it could neither send read/write request for any other DAs/DOs outside
the part it saved. (Of course it will not support any variation related services, like dynamic dataset).

As a derivative question: Ed2.1 TP has some |OP related test cases for testing the behavior of SUT with Server with future version
(cXX46 series), does the SUT must support getting the entire on-line model via MMS (PIXIT.Sr2: Does client support auto
description)? Because if the SUT need to pre-load the CID file, normally it will discard the RCBs whose are not standardized.

History

#1 - 04/01/2025 08:39 AM - IEC 61850 TPWG
- Due date set to 04/15/2025

Needs more information.

#2 - 04/06/2025 10:55 PM - yifan wang

More information is as below:

For Question 1:

For example as DAs, if the SUT is declared to be able to send read/write request to SUTMEAS/MMXU1$MX$I$phsA; but cannot send read/write
request to SUTMEAS/MMXU1$MX$1$phsB or SUTMEAS/MMXU1$MX$I$phsC. Same situation for DOs, it could only point to specific DAs or DOs
(those items which are configured in Dataset). Can we say the SUT supports GetDataValues and SetDataValues services?

For Question 2:

As all the cXX46 cases are mandatory, like cSg46, cRp46, cBr46, cLog46, etc., they demands that the SUT shall ignore new control block attributes.
DOes that means the SUT must could Get Online Model of Server via 61850 services, instead of could only get model information from scl file of
Server? Because in my opinion, the current Server Device or Server Simulator, could not generate online model with new control block attributes refer
to scl definition, but realize this via customized software.

So if we want to verify the SUT could ignore new control block attributes or not, we must make SUT to get online model which does have the real new
control block attribute. Is this right?

#3 - 04/15/2025 08:41 AM - IEC 61850 TPWG
- Due date changed from 04/15/2025 to 05/06/2025

- Status changed from New to In Progress

Q1: Maybe. It depends. In this case, it seems that the client can read the other DO/DA by changing the dataset. If so, the services are OK, but the
configuration info is an interesting implementation. This seems to be out of scope of conformance testing as it depends on the purpose of the device.
There does not seem to be a way to express such limits.
Can this device read a second value from the dataset?
Can the device write CF, DC, SP? ( does it pass cSrv6?)

The vendor should be advised that this is an implementation that is likely to be problematic in the industry and should be considered carefully. We
assume that this device does not support, for example, controls. One of many questions raised...

Q2: No, the SUT does not have to support Get Online Model of Server via 61850 services, but it does have to deal with any unexpected attributes
added to a (future) Control Block returned during a getXCB values request.

#4 - 04/16/2025 12:59 AM - yifan wang

Q1: Maybe. It depends. In this case, it seems that the client can read the other DO/DA by changing the dataset. If so, the services are OK, but the
configuration info is an interesting implementation. This seems to be out of scope of conformance testing as it depends on the purpose of the device.
There does not seem to be a way to express such limits.

Yifan: Yes, the client can read any DO/DA configured in all the datasets. If import a new SCL with new datasets with different DO/DA, it can read or
write the new items in the datasets.

For device purpose and application, in China there are some substations which demand the 61850 devices to only operate the items configured in
datasets, to avoid unnormal operation.

Can this device read a second value from the dataset?
Yifan: Yes, it will always save all the DO/DA information locally by checking all the dataset configuration after loading a SCL to its configuration tool.

Can the device write CF, DC, SP? ( does it pass cSrv6?)
Yifan: Yes, it can pass cSrv6, including all the basic data types used by the CDC type supported those are defined in MICS.

The vendor should be advised that this is an implementation that is likely to be problematic in the industry and should be considered carefully. We
assume that this device does not support, for example, controls. One of many questions raised...

Yifan: This kind of device normally support control service, the same way, just configure the control object into the dataset and it will be fine. Their
configuration will be Highly customizable before being put into service.

| agree with you, I'll tell these vendors that there will be some IOP issues if the device is used in international market.

Q2: No, the SUT does not have to support Get Online Model of Server via 61850 services, but it does have to deal with any unexpected attributes
added to a (future) Control Block returned during a getXCB values request.
Yifan: Understand.

Summary:
Yifan: Thanks, I've got all the response for my questions.
